# HG changeset patch
# Node ID befed724fe43
# Parent  923538a0632e
diff --git a/libpurple/blistnode.h b/libpurple/blistnode.h
--- a/libpurple/blistnode.h
+++ b/libpurple/blistnode.h
@@ -78,7 +78,10 @@ G_BEGIN_DECLS
  * purple_blist_node_get_type:
  *
  * Returns: The #GType for the #PurpleBlistNode object.
+ *
+ * Since: 2.1.0
  */
+PURPLE_AVAILABLE_IN_2_1
 GType purple_blist_node_get_type(void);
 
 /**
diff --git a/libpurple/prefs.h b/libpurple/prefs.h
--- a/libpurple/prefs.h
+++ b/libpurple/prefs.h
@@ -366,7 +366,10 @@ GList *purple_prefs_get_path_list(const 
  *          strings denoting the names of the children. Returns %NULL if there
  *          are no children or if pref doesn't exist. The caller must free all
  *          the strings and the list.
+ *
+ * Since: 2.1.0
  */
+PURPLE_AVAILABLE_IN_2_1
 GList *purple_prefs_get_children_names(const char *name);
 
 /**
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -76,8 +76,8 @@ typedef enum /*< flags >*/
 	PURPLE_MESSAGE_RAW          = 1 << 9,
 	PURPLE_MESSAGE_IMAGES       = 1 << 10,
 	PURPLE_MESSAGE_NOTIFY       = 1 << 11,
-	PURPLE_MESSAGE_NO_LINKIFY   = 1 << 12,
-	PURPLE_MESSAGE_INVISIBLE    = 1 << 13,
+	PURPLE_MESSAGE_NO_LINKIFY PURPLE_AVAILABLE_ENUMERATOR_IN_2_1 = 1 << 12,
+	PURPLE_MESSAGE_INVISIBLE PURPLE_AVAILABLE_ENUMERATOR_IN_2_2 = 1 << 13,
 	PURPLE_MESSAGE_REMOTE_SEND  = 1 << 14,
 	PURPLE_MESSAGE_FORWARDED    = 1 << 15,
 } PurpleMessageFlags;
diff --git a/libpurple/purpleprotocol.h b/libpurple/purpleprotocol.h
--- a/libpurple/purpleprotocol.h
+++ b/libpurple/purpleprotocol.h
@@ -99,18 +99,17 @@ G_DECLARE_DERIVABLE_TYPE(PurpleProtocol,
  */
 typedef enum  /*< flags >*/
 {
-    OPT_PROTO_UNIQUE_CHATNAME               = 0x00000004,
-    OPT_PROTO_CHAT_TOPIC                    = 0x00000008,
-    OPT_PROTO_NO_PASSWORD                   = 0x00000010,
-    OPT_PROTO_MAIL_CHECK                    = 0x00000020,
-    OPT_PROTO_PASSWORD_OPTIONAL             = 0x00000080,
-    OPT_PROTO_USE_POINTSIZE                 = 0x00000100,
-    OPT_PROTO_REGISTER_NOSCREENNAME         = 0x00000200,
-    OPT_PROTO_SLASH_COMMANDS_NATIVE         = 0x00000400,
-    OPT_PROTO_INVITE_MESSAGE                = 0x00000800,
-    OPT_PROTO_AUTHORIZATION_GRANTED_MESSAGE = 0x00001000,
-    OPT_PROTO_AUTHORIZATION_DENIED_MESSAGE  = 0x00002000
-
+	OPT_PROTO_UNIQUE_CHATNAME = 0x00000004,
+	OPT_PROTO_CHAT_TOPIC = 0x00000008,
+	OPT_PROTO_NO_PASSWORD = 0x00000010,
+	OPT_PROTO_MAIL_CHECK = 0x00000020,
+	OPT_PROTO_PASSWORD_OPTIONAL = 0x00000080,
+	OPT_PROTO_USE_POINTSIZE = 0x00000100,
+	OPT_PROTO_REGISTER_NOSCREENNAME = 0x00000200,
+	OPT_PROTO_SLASH_COMMANDS_NATIVE PURPLE_AVAILABLE_ENUMERATOR_IN_2_1 = 0x00000400,
+	OPT_PROTO_INVITE_MESSAGE = 0x00000800,
+	OPT_PROTO_AUTHORIZATION_GRANTED_MESSAGE = 0x00001000,
+	OPT_PROTO_AUTHORIZATION_DENIED_MESSAGE = 0x00002000,
 } PurpleProtocolOptions;
 
 /**
diff --git a/libpurple/purpleversion.h b/libpurple/purpleversion.h
--- a/libpurple/purpleversion.h
+++ b/libpurple/purpleversion.h
@@ -106,6 +106,42 @@
 #define PURPLE_AVAILABLE_IN_ALL _PURPLE_EXTERN
 
 /**
+ * PURPLE_VERSION_2_1:
+ *
+ * A macro that evaluates to the 2.1 version of libpurple, in a format that
+ * can be used by the C pre-processor.
+ *
+ * Since: 3.0.0
+ */
+#define PURPLE_VERSION_2_1 (G_ENCODE_VERSION(2, 1))
+
+#if PURPLE_VERSION_MAX_ALLOWED < PURPLE_VERSION_2_1
+#define PURPLE_AVAILABLE_IN_2_1 PURPLE_UNAVAILABLE(2, 1)
+#define PURPLE_AVAILABLE_ENUMERATOR_IN_2_1 PURPLE_UNAVAILABLE_ENUMERATOR(2, 1)
+#else
+#define PURPLE_AVAILABLE_IN_2_1 _PURPLE_EXTERN
+#define PURPLE_AVAILABLE_ENUMERATOR_IN_2_1
+#endif
+
+/**
+ * PURPLE_VERSION_2_2:
+ *
+ * A macro that evaluates to the 2.2 version of libpurple, in a format that
+ * can be used by the C pre-processor.
+ *
+ * Since: 3.0.0
+ */
+#define PURPLE_VERSION_2_2 (G_ENCODE_VERSION(2, 2))
+
+#if PURPLE_VERSION_MAX_ALLOWED < PURPLE_VERSION_2_2
+#define PURPLE_AVAILABLE_IN_2_2 PURPLE_UNAVAILABLE(2, 2)
+#define PURPLE_AVAILABLE_ENUMERATOR_IN_2_2 PURPLE_UNAVAILABLE_ENUMERATOR(2, 2)
+#else
+#define PURPLE_AVAILABLE_IN_2_2 _PURPLE_EXTERN
+#define PURPLE_AVAILABLE_ENUMERATOR_IN_2_2
+#endif
+
+/**
  * PURPLE_VERSION_2_3:
  *
  * A macro that evaluates to the 2.3 version of libpurple, in a format that
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -262,7 +262,10 @@ void purple_xfer_set_remote_user(PurpleX
  * Returns the name of the remote user.
  *
  * Returns: The name of the remote user.
+ *
+ * Since: 2.1.0
  */
+PURPLE_AVAILABLE_IN_2_1
 const char *purple_xfer_get_remote_user(PurpleXfer *xfer);
 
 /**
